# SmiDiscreteDistribution Class Reference

`#include <SmiDiscreteDistribution.hpp>`

Collaboration diagram for SmiDiscreteDistribution:
[legend]

List of all members.

## Public Member Functions
void | addDiscreteRV (SmiDiscreteRV *s)
| add discrete RV
SmiDiscreteRV * | getDiscreteRV (int i)
| get discrete RV
int | getNumRV ()
| get number of RV
SmiCoreData * | getCore ()
| get core model
void | setCombineWithCoreRule (SmiCoreCombineRule *r)
| set combine rule
SmiCoreCombineRule * | getCombineWithCoreRule ()
| get combine rule
| SmiDiscreteDistribution (SmiCoreData *c, SmiCoreCombineRule *r=SmiCoreCombineReplace::Instance())
| constructor requires core data and combine rule
| ~SmiDiscreteDistribution ()
## Private Member Functions
| SmiDiscreteDistribution ()
## Private Attributes
SmiCoreData * | core_
std::vector< SmiDiscreteRV * > | smiDiscrete_
SmiCoreCombineRule * | combineRule_
## Friends
void | SmiDiscreteUnitTest ()

## Detailed Description

Definition at line 24 of file SmiDiscreteDistribution.hpp.

## Constructor & Destructor Documentation

SmiDiscreteDistribution::SmiDiscreteDistribution | ( | SmiCoreData * | c,
|  | SmiCoreCombineRule * | r = `SmiCoreCombineReplace::Instance()` |
| ) |  |  | `[inline]`

constructor requires core data and combine rule

Definition at line 51 of file SmiDiscreteDistribution.hpp.

SmiDiscreteDistribution::~SmiDiscreteDistribution | ( |  | ) |

SmiDiscreteDistribution::SmiDiscreteDistribution | ( |  | ) | `[inline, private]`

Definition at line 60 of file SmiDiscreteDistribution.hpp.

## Member Function Documentation

void SmiDiscreteDistribution::addDiscreteRV | ( | SmiDiscreteRV * | s | ) | `[inline]`

add discrete RV

Definition at line 29 of file SmiDiscreteDistribution.hpp.

SmiDiscreteRV* SmiDiscreteDistribution::getDiscreteRV | ( | int | i | ) | `[inline]`

get discrete RV

Definition at line 33 of file SmiDiscreteDistribution.hpp.

int SmiDiscreteDistribution::getNumRV | ( |  | ) | `[inline]`

get number of RV

Definition at line 36 of file SmiDiscreteDistribution.hpp.

SmiCoreData* SmiDiscreteDistribution::getCore | ( |  | ) | `[inline]`

get core model

Definition at line 39 of file SmiDiscreteDistribution.hpp.

void SmiDiscreteDistribution::setCombineWithCoreRule | ( | SmiCoreCombineRule * | r | ) | `[inline]`

set combine rule

Definition at line 42 of file SmiDiscreteDistribution.hpp.

SmiCoreCombineRule* SmiDiscreteDistribution::getCombineWithCoreRule | ( |  | ) | `[inline]`

get combine rule

Definition at line 47 of file SmiDiscreteDistribution.hpp.

## Friends And Related Function Documentation

void SmiDiscreteUnitTest | ( |  | ) | `[friend]`

## Member Data Documentation

SmiCoreData* SmiDiscreteDistribution::core_`[private]`

Definition at line 61 of file SmiDiscreteDistribution.hpp.

std::vector<SmiDiscreteRV *> SmiDiscreteDistribution::smiDiscrete_`[private]`

Definition at line 62 of file SmiDiscreteDistribution.hpp.

SmiCoreCombineRule* SmiDiscreteDistribution::combineRule_`[private]`

Definition at line 63 of file SmiDiscreteDistribution.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiDiscreteDistribution.hpp